{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 289,
   "metadata": {},
   "outputs": [],
   "source": [
    "import random\n",
    "\n",
    "width = 82 #canvas measures\n",
    "height = 74"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 290,
   "metadata": {},
   "outputs": [],
   "source": [
    "sentence = '🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1000000.0 (bytes/sec) NotebookApp.rate_limit_window=3.0 (secs)'\n",
    "sentence = sentence.replace('secs','sex🍬').replace('0', '😡') #replace stuff with funny stuff\n",
    "lines = ''\n",
    "lista = []"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 291,
   "metadata": {},
   "outputs": [],
   "source": [
    "for x in range(width): #it would be any number since the counter will break the characters\n",
    "    lines += sentence #fill the lines with the text\n",
    "    lines += ' ' * (x+25) #and also fill with big aesthetic spaces which will create a beautiful wave"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 292,
   "metadata": {},
   "outputs": [],
   "source": [
    "tmp_line = '' \n",
    "\n",
    "counter = 0\n",
    "\n",
    "for character in lines:\n",
    "    if counter == height:\n",
    "        break\n",
    "    elif len(tmp_line) < width:\n",
    "        tmp_line += character\n",
    "    else:\n",
    "        lista.append(tmp_line)\n",
    "        tmp_line = ''\n",
    "        counter += 1\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 293,
   "metadata": {},
   "outputs": [],
   "source": [
    "patch = \"\\n\".join(lista) #creates effectivly the quilt computing the charachters"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": 294,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "6141"
      ]
     },
     "execution_count": 294,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "f = 'patcherico.txt' #export the patch for the quilt in .txt\n",
    "export = open(f, 'w')\n",
    "export.write(patch)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 297,
   "metadata": {},
   "outputs": [],
   "source": [
    "with open(\"patcherico.txt\") as proto:  #open the external .txt\n",
    "    proto = proto.read()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 298,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec\n",
      " NotebookApp.rate_limit_window=3.😡 (sex🍬)                         🗣 IOPub data rat\n",
      " exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rat\n",
      "_limit_window=3.😡 (sex🍬)                          🗣 IOPub data rate exceeded. Note\n",
      "ookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3\n",
      "😡 (sex🍬)                           🗣 IOPub data rate exceeded. NotebookApp.iopub_d\n",
      "ta_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)      \n",
      "                     🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit\n",
      "1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                    \n",
      "        🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (b\n",
      "tes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                              🗣 I\n",
      "Pub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) No\n",
      "ebookApp.rate_limit_window=3.😡 (sex🍬)                               🗣 IOPub data r\n",
      "te exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.r\n",
      "te_limit_window=3.😡 (sex🍬)                                🗣 IOPub data rate exceed\n",
      "d. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_\n",
      "indow=3.😡 (sex🍬)                                 🗣 IOPub data rate exceeded. Noteb\n",
      "okApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.\n",
      " (sex🍬)                                  🗣 IOPub data rate exceeded. NotebookApp.i\n",
      "pub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)\n",
      "                                  🗣 IOPub data rate exceeded. NotebookApp.iopub_da\n",
      "a_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)       \n",
      "                            🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rat\n",
      "_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)             \n",
      "                       🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_lim\n",
      "t=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                  \n",
      "                   🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1\n",
      "😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                      \n",
      "                🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡\n",
      "😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                         \n",
      "              🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡\n",
      ".😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                           \n",
      "             🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡\n",
      "😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                            \n",
      "             🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡\n",
      "😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                            \n",
      "              🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡\n",
      ".😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                           \n",
      "                🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡\n",
      "😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                         \n",
      "                   🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1\n",
      "😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                      \n",
      "                       🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_lim\n",
      "t=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                  \n",
      "                            🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rat\n",
      "_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)             \n",
      "                                  🗣 IOPub data rate exceeded. NotebookApp.iopub_da\n",
      "a_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)       \n",
      "                                         🗣 IOPub data rate exceeded. NotebookApp.i\n",
      "pub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)\n",
      "                                                 🗣 IOPub data rate exceeded. Noteb\n",
      "okApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.\n",
      " (sex🍬)                                                   🗣 IOPub data rate exceed\n",
      "d. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_\n",
      "indow=3.😡 (sex🍬)                                                    🗣 IOPub data r\n",
      "te exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.r\n",
      "te_limit_window=3.😡 (sex🍬)                                                     🗣 I\n",
      "Pub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) No\n",
      "ebookApp.rate_limit_window=3.😡 (sex🍬)                                             \n",
      "        🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (b\n",
      "tes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                                 \n",
      "                     🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit\n",
      "1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                    \n",
      "                                   🗣 IOPub data rate exceeded. NotebookApp.iopub_d\n",
      "ta_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)      \n",
      "                                                  🗣 IOPub data rate exceeded. Note\n",
      "ookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3\n",
      "😡 (sex🍬)                                                          🗣 IOPub data rat\n",
      " exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec) NotebookApp.rat\n",
      "_limit_window=3.😡 (sex🍬)                                                          \n",
      "🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡😡😡😡😡😡.😡 (bytes/sec\n",
      " NotebookApp.rate_limit_window=3.😡 (sex🍬)                                         \n",
      "                  🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rate_limit=1😡\n",
      "😡😡😡😡.😡 (bytes/sec) NotebookApp.rate_limit_window=3.😡 (sex🍬)                       \n"
     ]
    }
   ],
   "source": [
    "print(patch)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "        "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 252,
   "metadata": {},
   "outputs": [],
   "source": [
    "frase = '                            🗣 IOPub data rate exceeded. NotebookApp.iopub_data_rat'"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 253,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "82\n"
     ]
    }
   ],
   "source": [
    "print(len(frase))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.6"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 4
}
